package front

import (
	"PaymentCenter/app/http/controllers"
	"PaymentCenter/app/http/entities/front"
	"PaymentCenter/app/services"
	"github.com/gin-gonic/gin"
)

func WebPay(c *gin.Context) {
	req := controllers.GetRequest(c).(*front.PayWebReqs)
	appCheckInfo := controllers.GetAppCheckInfo(c).(*services.AppCheck)
	code := services.ThirdPayWeb(c.Request.Context(), req, appCheckInfo, c.ClientIP())
	controllers.ErrWithCode(c, code)
	return
}
